
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define LINE_LENGTH 255

/*-------------------------------------------------------------------*/
/* 
 * this routine initializes some values needed for the number-crunching.
 * It should be replaced by a user interface that would allow the user
 * to steer the calculations.
 */

void get_mandelbrot_stuff ( re_center, im_center, width, itermax) 
double	*re_center, *im_center;	/* center of data array */
double	*width;			/* width of data aray */
unsigned int *itermax;		/* max iteration count */
{
    /* open a file, read data from it and return */
    *re_center = -1.0455124537217;
    *im_center = 0.3264935985845;
    *width = 2.0e-12;
    *itermax = 600;

}

/*-------------------------------------------------------------------*/
/* 
 * get_machines_and_file_paths 
 * 
 * This routine opens the file "machines" in the current directory
 * and reads machine nicknames and file paths from it.
 */

void get_machines_and_file_paths (machine_name, file_name)
char 	machine_name [][80];	/* array containing machine names */
char	file_name [][80];	/* array containing file paths */
{

    FILE *fyle;
    char input_record [LINE_LENGTH];
    int n=0;

    if ((fyle = fopen ("machines", "r")) == NULL) {
        perror ("file open failure: can't find: machines");
        exit (EXIT_FAILURE);
    }

    /* loop forever, until we break out of loop */
    while (TRUE) {
        /* if end of file or read error, return */
        if (!fgets (input_record, LINE_LENGTH, fyle)) {
           fclose (fyle);
           strcpy (machine_name [n], "");
           return;
        }
        /* if input line longer than buffer, ignore it. */
        if (strlen (input_record) == LINE_LENGTH - 1) {
           perror ("file read failure: line too long: machines");
           continue;
        }

        /* ignore comment cards */
        if (strncmp (input_record, "#", 1) == 0) continue;

        /* get the machine name, the file path */
        if (sscanf (input_record, "%s %s", machine_name[n], file_name[n])
                != 2) continue;
        n++;

     }

#ifdef JUNK
    /*  Below will accomplish same as above, but would be 'hardwired'
     * into code.
    strcpy (machine_name [0], "taupe"); strcpy (file_name [0], "/tmp/dslave");
    strcpy (machine_name [1], "khaki"); strcpy (file_name [1], "/tmp/dslave");
    strcpy (machine_name [2], "okra"); strcpy (file_name [2], "/tmp/dslave");
    strcpy (machine_name [3], ""); */
#endif 
}

/*------------------- end of file -----------------------------------*/
